# -*- encoding: utf-8 -*-
# stub: gapic-common 0.16.0 ruby lib

Gem::Specification.new do |s|
  s.name = "gapic-common".freeze
  s.version = "0.16.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google API Authors".freeze]
  s.date = "2023-09-05"
  s.email = ["googleapis-packages@google.com".freeze]
  s.files = [".yardopts".freeze, "CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "LICENSE".freeze, "README.md".freeze, "RELEASING.md".freeze, "lib/gapic".freeze, "lib/gapic-common.rb".freeze, "lib/gapic/call_options".freeze, "lib/gapic/call_options.rb".freeze, "lib/gapic/call_options/error_codes.rb".freeze, "lib/gapic/call_options/retry_policy.rb".freeze, "lib/gapic/common".freeze, "lib/gapic/common.rb".freeze, "lib/gapic/common/error.rb".freeze, "lib/gapic/common/version.rb".freeze, "lib/gapic/config".freeze, "lib/gapic/config.rb".freeze, "lib/gapic/config/method.rb".freeze, "lib/gapic/generic_lro".freeze, "lib/gapic/generic_lro/base_operation.rb".freeze, "lib/gapic/generic_lro/operation.rb".freeze, "lib/gapic/grpc".freeze, "lib/gapic/grpc.rb".freeze, "lib/gapic/grpc/errors.rb".freeze, "lib/gapic/grpc/service_stub".freeze, "lib/gapic/grpc/service_stub.rb".freeze, "lib/gapic/grpc/service_stub/rpc_call.rb".freeze, "lib/gapic/grpc/status_details.rb".freeze, "lib/gapic/headers.rb".freeze, "lib/gapic/operation".freeze, "lib/gapic/operation.rb".freeze, "lib/gapic/operation/retry_policy.rb".freeze, "lib/gapic/paged_enumerable.rb".freeze, "lib/gapic/protobuf.rb".freeze, "lib/gapic/rest".freeze, "lib/gapic/rest.rb".freeze, "lib/gapic/rest/client_stub.rb".freeze, "lib/gapic/rest/error.rb".freeze, "lib/gapic/rest/faraday_middleware.rb".freeze, "lib/gapic/rest/grpc_transcoder".freeze, "lib/gapic/rest/grpc_transcoder.rb".freeze, "lib/gapic/rest/grpc_transcoder/http_binding.rb".freeze, "lib/gapic/rest/operation.rb".freeze, "lib/gapic/rest/paged_enumerable.rb".freeze, "lib/gapic/rest/server_stream.rb".freeze, "lib/gapic/rest/threaded_enumerator.rb".freeze, "lib/gapic/stream_input.rb".freeze]
  s.homepage = "https://github.com/googleapis/gapic-generator-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Common code for GAPIC-generated API clients".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<faraday>.freeze, ["< 3"])
    s.add_runtime_dependency(%q<faraday-retry>.freeze, [">= 1.0", "< 3.a"])
    s.add_runtime_dependency(%q<googleapis-common-protos>.freeze, [">= 1.3.12", "< 2.a"])
    s.add_runtime_dependency(%q<googleapis-common-protos-types>.freeze, [">= 1.3.1", "< 2.a"])
    s.add_runtime_dependency(%q<googleauth>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<google-protobuf>.freeze, ["~> 3.14"])
    s.add_runtime_dependency(%q<grpc>.freeze, ["~> 1.36"])
    s.add_development_dependency(%q<google-cloud-core>.freeze, ["~> 1.5"])
    s.add_development_dependency(%q<google-style>.freeze, ["< 2"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.16"])
    s.add_development_dependency(%q<minitest-autotest>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<pry>.freeze, ["< 1"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<faraday>.freeze, ["< 3"])
    s.add_dependency(%q<faraday-retry>.freeze, [">= 1.0", "< 3.a"])
    s.add_dependency(%q<googleapis-common-protos>.freeze, [">= 1.3.12", "< 2.a"])
    s.add_dependency(%q<googleapis-common-protos-types>.freeze, [">= 1.3.1", "< 2.a"])
    s.add_dependency(%q<googleauth>.freeze, ["~> 1.0"])
    s.add_dependency(%q<google-protobuf>.freeze, ["~> 3.14"])
    s.add_dependency(%q<grpc>.freeze, ["~> 1.36"])
    s.add_dependency(%q<google-cloud-core>.freeze, ["~> 1.5"])
    s.add_dependency(%q<google-style>.freeze, ["< 2"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.16"])
    s.add_dependency(%q<minitest-autotest>.freeze, ["~> 1.0"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<pry>.freeze, ["< 1"])
    s.add_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
